@charset "utf-8";
/* ===================================================================
point.css：「コンテストの特徴」用のCSSです
=================================================================== */

/*----------TOP画像----------*/
.topImg_mini#topImg_point {
    background: url(/morningstar/images/topimg.jpg) no-repeat;
    height: 100px; /* 必要に応じて高さを指定 */
}

/*----------見出し----------*/
h3.head_point {
    height: 0;
    background-repeat: no-repeat;
    margin-top: 20px;
    padding-top: 44px;
    overflow: hidden;
    text-shadow: 0 1px 0 rgba(170,126,0,1);
}
h3.head_point:first-child { margin-top: 0; }

/* 見出し画像パス修正 */
h3.head_point#point1 { background-image: url(/morningstar/images/head_point1.png); }
h3.head_point#point2 { background-image: url(/morningstar/images/head_point2.png); }
h3.head_point#point3 { background-image: url(/morningstar/images/head_point3.png); }
h3.head_point#point4 { background-image: url(/morningstar/images/head_point4.png); }
h3.head_point#point5 { background-image: url(/morningstar/images/head_point5.png); }
h3.head_point#point6 { background-image: url(/morningstar/images/head_point6.png); }
h3.head_point#point7 { background-image: url(/morningstar/images/head_point7.png); }
h3.head_point#point8 { background-image: url(/morningstar/images/head_point8.png); }

h4 { color: #AA7E00; margin-top: 15px; }

/* 副賞 */
.point_prize { margin-bottom: 0.5em; padding-left: 20px; }
.point_prize li { list-style: inside disc; }

/* modal (CSS :target を使用した実装) */
.modal {
    display: none;
    top: 0;
    left: 0;
    width: 100%;
}

.modal:target {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    padding-top: 40px;
    z-index: 100; /* ヘッダーより上に表示 */
    background: rgba(0,0,0,0.7);
}

.modal_backbg {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.modal_box {
    position: relative;
    width: auto;
    max-width: 90%;
    padding: 10px;
    background: #fff;
    border-radius: 3px;
    animation-duration: 0.3s;
    animation-name: modal_anim;
    transition: ease;
    opacity: 1;
    text-align: left;
}

@keyframes modal_anim {
    0% { opacity: 0; transform: scale(0.9); }
    100% { opacity: 1; transform: scale(1); }
}

.modal_box img {
    max-width: 100%;
    height: auto;
    display: block;
}

a.modal_back {
    position: absolute;
    display: block;
    top: -16px;
    right: -16px;
    width: 32px;
    height: 32px;
    z-index: 105;
    overflow: hidden;
    background: #aaa;
    border-radius: 3px;
    font-size: 32px;
    color: #fff;
    font-weight: bold;
    line-height: 28px;
    text-align: center;
    text-decoration: none;
    box-shadow: 0 0 3px rgba(0,0,0,0.6);
}

.modal_back:hover { opacity: 0.6; }